VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   1770
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7815
   LinkTopic       =   "Form1"
   ScaleHeight     =   1770
   ScaleWidth      =   7815
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdShowHtml 
      Caption         =   "Show HTML"
      Default         =   -1  'True
      Height          =   495
      Left            =   4680
      TabIndex        =   2
      Top             =   1080
      Width           =   1095
   End
   Begin VB.CommandButton cmdShowPage 
      Caption         =   "Show Page"
      Height          =   495
      Left            =   3360
      TabIndex        =   1
      Top             =   1080
      Width           =   1095
   End
   Begin VB.TextBox txtHTMLFile 
      Height          =   285
      Left            =   1080
      TabIndex        =   4
      Top             =   600
      Width           =   6495
   End
   Begin VB.TextBox txtDatabase 
      Height          =   285
      Left            =   1080
      TabIndex        =   3
      Top             =   240
      Width           =   6495
   End
   Begin VB.CommandButton cmdConvert 
      Caption         =   "Convert"
      Height          =   495
      Left            =   1920
      TabIndex        =   0
      Top             =   1080
      Width           =   1095
   End
   Begin VB.Label Label1 
      Caption         =   "Output file"
      Height          =   255
      Index           =   1
      Left            =   240
      TabIndex        =   6
      Top             =   600
      Width           =   735
   End
   Begin VB.Label Label1 
      Caption         =   "Database"
      Height          =   255
      Index           =   0
      Left            =   240
      TabIndex        =   5
      Top             =   240
      Width           =   735
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function ShellExecute Lib "shell32.dll" Alias "ShellExecuteA" (ByVal hwnd As Long, ByVal lpOperation As String, ByVal lpFile As String, ByVal lpParameters As String, ByVal lpDirectory As String, ByVal nShowCmd As Long) As Long
Private Const SW_SHOW = 5
' Create the HTML table representation.
Private Sub cmdConvert_Click()
Dim fnum As Integer
Dim conn As ADODB.Connection
Dim rs As ADODB.Recordset
Dim num_fields As Integer
Dim i As Integer
Dim num_processed As Integer

    On Error GoTo MiscError

    ' Open the output file.
    fnum = FreeFile
    Open txtHTMLFile.Text For Output As fnum

    ' Write the HTML header information.
    Print #fnum, "<HTML>"
    Print #fnum, "<HEAD>"
    Print #fnum, "<TITLE>This is the title</TITLE>"
    Print #fnum, "</HEAD>"

    Print #fnum, ""
    Print #fnum, "<BODY TEXT=""#000000"" BGCOLOR=""#CCCCCC"">"
    Print #fnum, "<H1>Book Data</H1>"

    ' Start the HTML table.
    Print #fnum, "<TABLE WIDTH=""100%"" CELLPADDING=""2"" CELLSPACING=""2"" BGCOLOR=""#00C0FF"" BORDER=""1"">"

    ' Open the database.
    Set conn = New ADODB.Connection
    conn.ConnectionString = _
        "Provider=Microsoft.Jet.OLEDB.4.0;" & _
        "Data Source=" & txtDatabase.Text & ";" & _
        "Persist Security Info=False"
    conn.Open

    ' Open the recordset.
    Set rs = conn.Execute( _
        "SELECT * FROM Books ORDER BY Title", , adCmdText)

    ' Use the field names as table column headers.
    Print #fnum, "  <TR>"     ' Start a row.

    ' Headers: Title, ISBN, Description.
    Print #fnum, "    <TD BGCOLOR=""FFFF00"">Title</TD>"
    Print #fnum, "    <TD BGCOLOR=""FFFF00"">ISBN</TD>"
    Print #fnum, "    <TD BGCOLOR=""FFFF00"">Description</TD>"
    Print #fnum, "  </TR>"

    ' Process the records.
    Do While Not rs.EOF
        ' Start a new row for this record.
        num_processed = num_processed + 1
        Print #fnum, "  <TR>"

        ' Put the title and picture in the first cell.
        Print #fnum, "    <TD>"
        Print #fnum, "      <A HREF=""" & rs.Fields("URL").Value & """>"
        Print #fnum, "        <IMG SRC=""" & rs.Fields("Picture").Value & """ ALIGN=""Left"">"
        Print #fnum, "        " & rs.Fields("Title").Value
        Print #fnum, "      </A>"
        Print #fnum, "    </TD>"

        ' Display the ISBN and Description.
        Print #fnum, "    <TD NOWRAP>" & rs.Fields("ISBN").Value & "</TD>"
        Print #fnum, "    <TD>" & rs.Fields("Description").Value & "</TD>"
        Print #fnum, "  </TR>"

        rs.MoveNext
    Loop

    ' Finish the table.
    Print #fnum, "</TABLE>"
    Print #fnum, "<P>"
    Print #fnum, "<H3>" & _
        Format$(num_processed) & _
        " records displayed.</H3>"
    Print #fnum, "<HR COLOR=C000C0>"
    Print #fnum, "Thanks to <A HREF=http://www.vb-helper.com>VB Helper</A>."

    Print #fnum, "</BODY>"
    Print #fnum, "</HTML>"

    ' Close the file and database.
CloseUp:
    On Error Resume Next
    rs.Close
    conn.Close
    Close fnum
    MsgBox "Processed " & _
        Format$(num_processed) & " records."

    Exit Sub

MiscError:
    MsgBox "Error " & Err.Number & _
        vbCrLf & Err.Description
    Resume CloseUp
End Sub

' Display the HTML text.
Private Sub cmdShowHtml_Click()
Dim fnum As Integer

    fnum = FreeFile
    Open txtHTMLFile.Text For Input As fnum
    dlgHtml.txtHtml.Text = Input(LOF(fnum), #fnum)
    Close #fnum

    dlgHtml.Show vbModal
    Unload dlgHtml
End Sub

Private Sub cmdShowPage_Click()
    ShellExecute hwnd, "open", txtHTMLFile.Text, vbNullString, vbNullString, SW_SHOW
End Sub


Private Sub Form_Load()
Dim path_name As String

    path_name = App.Path
    If Right$(path_name, 1) <> "\" Then _
        path_name = path_name & "\"
    txtDatabase.Text = path_name & "Books.mdb"
    txtHTMLFile.Text = path_name & "Books.htm"
End Sub


